> ## Documentation Index
> Fetch the complete documentation index at: https://padelapi.org/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate Match

> Endpoint to simulate a match between two teams or individual players. Returns win probabilities calculated from their current Elo ratings.



## OpenAPI

````yaml https://padelapi.org/docs/api.json post /matches/simulate
openapi: 3.1.0
info:
  title: Padel API – API Reference
  version: '1.0'
  description: padelapi.org
servers:
  - url: https://padelapi.org/api
security:
  - http: []
paths:
  /matches/simulate:
    post:
      tags:
        - Match
      summary: Simulate Match
      description: >-
        Endpoint to simulate a match between two teams or individual players.
        Returns win probabilities calculated from their current Elo ratings.
      operationId: simulateMatch
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                team_1:
                  type: array
                  items:
                    type: integer
                  minItems: 1
                  maxItems: 2
                team_2:
                  type: array
                  items:
                    type: integer
                  minItems: 1
                  maxItems: 2
              required:
                - team_1
                - team_2
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  probability:
                    type: object
                    properties:
                      team_1:
                        type: number
                      team_2:
                        type: number
                    required:
                      - team_1
                      - team_2
                  players:
                    type: object
                    properties:
                      team_1:
                        type: array
                        items:
                          $ref: '#/components/schemas/PlayerResource'
                      team_2:
                        type: array
                        items:
                          $ref: '#/components/schemas/PlayerResource'
                    required:
                      - team_1
                      - team_2
                required:
                  - name
                  - probability
                  - players
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    PlayerResource:
      type: object
      properties:
        id:
          type: integer
        self:
          type: string
        name:
          type: string
        short_name:
          type: string
        url:
          type:
            - string
            - 'null'
        photo_url:
          type:
            - string
            - 'null'
        category:
          type: string
        nationality:
          type: string
        ranking:
          type: string
        points:
          type: integer
        height:
          type:
            - integer
            - 'null'
        side:
          type: string
        hand:
          anyOf:
            - type: 'null'
            - type: string
              enum:
                - left
                - right
        birthplace:
          type:
            - string
            - 'null'
        birthdate:
          type:
            - string
            - 'null'
        age:
          type:
            - string
            - 'null'
        links:
          type: string
        updated_at:
          type: string
        connections:
          type: object
          properties:
            matches:
              type: string
            pairs:
              type: string
              description: '''rankings'' => "/api/players/{$this->id}/rankings",'
            stats:
              type: string
          required:
            - matches
            - pairs
            - stats
      required:
        - id
        - self
        - name
        - short_name
        - url
        - photo_url
        - category
        - nationality
        - ranking
        - points
        - height
        - side
        - hand
        - birthplace
        - birthdate
        - age
        - links
        - updated_at
        - connections
      title: PlayerResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer

````